% arara: xelatex
% arara: xelatex
% arara: xelatex


% options:
% thesis=B bachelor's thesis
% thesis=M master's thesis
% czech thesis in Czech language
% english thesis in English language
% hidelinks remove colour boxes around hyperlinks

\documentclass[thesis=M,czech]{FITthesis}[2019/12/23]

\usepackage[utf8]{inputenc} % LaTeX source encoded as UTF-8
% \usepackage[latin2]{inputenc} % LaTeX source encoded as ISO-8859-2
% \usepackage[cp1250]{inputenc} % LaTeX source encoded as Windows-1250

% \usepackage{subfig} %subfigures
% \usepackage{amsmath} %advanced maths
% \usepackage{amssymb} %additional math symbols

\usepackage{dirtree} %directory tree visualisation

% % list of acronyms
% \usepackage[acronym,nonumberlist,toc,numberedsection=autolabel]{glossaries}
% \iflanguage{czech}{\renewcommand*{\acronymname}{Seznam pou{\v z}it{\' y}ch zkratek}}{}
% \makeglossaries


\usepackage[acronym,toc]{glossaries}

\usepackage{listings}

% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
% EDIT THIS
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 

\department{Katedra webové a softwarové inženýrství, zaměření Webové inženýrství}
\title{iOS aplikace bezpečného cestování}
\authorGN{Matyáš} %author's given name/names
\authorFN{Procházka} %author's surname
\author{Matyáš Procházka} %author's name without academic degrees
\authorWithDegrees{Bc. Matyáš Procházka} %author's name with academic degrees
\supervisor{Ing. Jiří Hunka}
\acknowledgements{THANKS (remove entirely in case you do not with to thank anyone)}
\abstractEN{Summarize the contents and contribution of your work in a few sentences in English language.}
\abstractCS{V n{\v e}kolika v{\v e}t{\' a}ch shr{\v n}te obsah a p{\v r}{\' i}nos t{\' e}to pr{\' a}ce v {\v c}esk{\' e}m jazyce.}
\placeForDeclarationOfAuthenticity{Praha}
\keywordsCS{Mobilní aplikace, analýza, návrh, implementace, uživatelské testování, ios}
\keywordsEN{Mobile app, analysis, design, implementation, user testing, ios}
\declarationOfAuthenticityOption{1} %select as appropriate, according to the desired license (integer 1-6)
% \website{http://site.example/thesis} %optional thesis URL

\makeglossaries

\input{other/glossary}
\input{other/acronyms}

\begin{document}

% \newacronym{CVUT}{{\v C}VUT}{{\v C}esk{\' e} vysok{\' e} u{\v c}en{\' i} technick{\' e} v Praze}
% \newacronym{FIT}{FIT}{Fakulta informa{\v c}n{\' i}ch technologi{\' i}}

\setsecnumdepth{part}

\begin{introduction}
	\input{chapters/introduction}
\end{introduction}

\setsecnumdepth{all}

\input{chapters/aim_of_work}

\input{chapters/analysis}

\begin{conclusion}
	\input{chapters/conclusion}
\end{conclusion}

\setsecnumdepth{part}

\bibliographystyle{other/csn690.bst}
\bibliography{other/bibliography}

% \setsecnumdepth{all}
\appendix

\printglossaries

\end{document}
